## orthanc 0.9.4+dfsg

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)

project(Orthanc)

# Version of the build, should always be "mainline" except in release branches
set(ORTHANC_VERSION "0.9.4")

# Version of the database schema. History:
#   * Orthanc 0.1.0 -> Orthanc 0.3.0 = no versioning
#   * Orthanc 0.3.1                  = version 2
#   * Orthanc 0.4.0 -> Orthanc 0.7.2 = version 3
#   * Orthanc 0.7.3 -> Orthanc 0.8.4 = version 4
#   * Orthanc 0.8.5 -> mainline      = version 5
set(ORTHANC_DATABASE_VERSION 5)


#####################################################################
## CMake parameters tunable at the command line
#####################################################################

# Parameters of the build
SET(STATIC_BUILD OFF CACHE BOOL "Static build of the third-party libraries (necessary for Windows)")
SET(STANDALONE_BUILD ON CACHE BOOL "Standalone build (all the resources are embedded, necessary for releases)")
SET(ENABLE_SSL ON CACHE BOOL "Include support for SSL")
SET(DCMTK_DICTIONARY_DIR "" CACHE PATH "Directory containing the DCMTK dictionaries \"dicom.dic\" and \"private.dic\" (only when using system version of DCMTK)") 
SET(ALLOW_DOWNLOADS OFF CACHE BOOL "Allow CMake to download packages")
SET(UNIT_TESTS_WITH_HTTP_CONNEXIONS ON CACHE BOOL "Allow unit tests to make HTTP requests")
SET(ENABLE_GOOGLE_LOG OFF CACHE BOOL "Enable Google Log (otherwise, an internal logger is used)")
SET(ENABLE_JPEG ON CACHE BOOL "Enable JPEG decompression")
SET(ENABLE_JPEG_LOSSLESS ON CACHE BOOL "Enable JPEG-LS (Lossless) decompression")
SET(ENABLE_PLUGINS ON CACHE BOOL "Enable plugins")
SET(BUILD_SERVE_FOLDERS ON CACHE BOOL "Build the ServeFolders plugin")

# Advanced parameters to fine-tune linking against system libraries
SET(USE_SYSTEM_JSONCPP ON CACHE BOOL "Use the system version of JsonCpp")
SET(USE_SYSTEM_GOOGLE_LOG ON CACHE BOOL "Use the system version of Google Log")
SET(USE_SYSTEM_GOOGLE_TEST ON CACHE BOOL "Use the system version of Google Test")
SET(USE_SYSTEM_SQLITE ON CACHE BOOL "Use the system version of SQLite")
SET(USE_SYSTEM_MONGOOSE ON CACHE BOOL "Use the system version of Mongoose")
SET(USE_SYSTEM_LUA ON CACHE BOOL "Use the system version of Lua")
SET(USE_SYSTEM_DCMTK ON CACHE BOOL "Use the system version of DCMTK")
SET(USE_SYSTEM_BOOST ON CACHE BOOL "Use the system version of Boost")
SET(USE_SYSTEM_LIBPNG ON CACHE BOOL "Use the system version of libpng")
SET(USE_SYSTEM_LIBJPEG ON CACHE BOOL "Use the system version of libjpeg")
SET(USE_SYSTEM_CURL ON CACHE BOOL "Use the system version of LibCurl")
SET(USE_SYSTEM_OPENSSL ON CACHE BOOL "Use the system version of OpenSSL")
SET(USE_SYSTEM_ZLIB ON CACHE BOOL "Use the system version of ZLib")
SET(USE_SYSTEM_PUGIXML ON CACHE BOOL "Use the system version of Pugixml)")

# Experimental options
SET(USE_PUGIXML ON CACHE BOOL "Use the Pugixml parser (turn off only for debug)")

# Distribution-specific settings
SET(USE_GTEST_DEBIAN_SOURCE_PACKAGE OFF CACHE BOOL "Use the sources of Google Test shipped with libgtest-dev (Debian only)")
SET(SYSTEM_MONGOOSE_USE_CALLBACKS ON CACHE BOOL "The system version of Mongoose uses callbacks (version >= 3.7)")
SET(USE_BOOST_ICONV ON CACHE BOOL "Use iconv instead of wconv (Windows only)")

mark_as_advanced(USE_GTEST_DEBIAN_SOURCE_PACKAGE)
mark_as_advanced(SYSTEM_MONGOOSE_USE_CALLBACKS)
mark_as_advanced(USE_BOOST_ICONV)
mark_as_advanced(USE_PUGIXML)

# Path to the root folder of the Orthanc distribution
set(ORTHANC_ROOT ${CMAKE_SOURCE_DIR})

# Some basic inclusions
include(CheckIncludeFiles)
include(CheckIncludeFileCXX)
include(CheckLibraryExists)
include(FindPythonInterp)
include(${CMAKE_SOURCE_DIR}/Resources/CMake/AutoGeneratedCode.cmake)
include(${CMAKE_SOURCE_DIR}/Resources/CMake/DownloadPackage.cmake)
include(${CMAKE_SOURCE_DIR}/Resources/CMake/Compiler.cmake)
include(${CMAKE_SOURCE_DIR}/Resources/CMake/VisualStudioPrecompiledHeaders.cmake)




#####################################################################
## List of source files
#####################################################################

set(ORTHANC_CORE_SOURCES
  Core/Cache/MemoryCache.cpp
  Core/Cache/SharedArchive.cpp
  Core/ChunkedBuffer.cpp
  Core/Compression/DeflateBaseCompressor.cpp
  Core/Compression/GzipCompressor.cpp
  Core/Compression/HierarchicalZipWriter.cpp
  Core/Compression/ZipWriter.cpp
  Core/Compression/ZlibCompressor.cpp
  Core/DicomFormat/DicomArray.cpp
  Core/DicomFormat/DicomMap.cpp
  Core/DicomFormat/DicomTag.cpp
  Core/DicomFormat/DicomImageInformation.cpp
  Core/DicomFormat/DicomIntegerPixelAccessor.cpp
  Core/DicomFormat/DicomInstanceHasher.cpp
  Core/Enumerations.cpp
  Core/FileStorage/FilesystemStorage.cpp
  Core/FileStorage/StorageAccessor.cpp
  Core/HttpClient.cpp
  Core/HttpServer/BufferHttpSender.cpp
  Core/HttpServer/EmbeddedResourceHttpHandler.cpp
  Core/HttpServer/FilesystemHttpHandler.cpp
  Core/HttpServer/HttpToolbox.cpp
  Core/HttpServer/HttpOutput.cpp
  Core/HttpServer/StringHttpOutput.cpp
  Core/HttpServer/MongooseServer.cpp
  Core/HttpServer/HttpFileSender.cpp
  Core/HttpServer/FilesystemHttpSender.cpp
  Core/HttpServer/HttpStreamTranscoder.cpp
  Core/Logging.cpp
  Core/RestApi/RestApiCall.cpp
  Core/RestApi/RestApiGetCall.cpp
  Core/RestApi/RestApiHierarchy.cpp
  Core/RestApi/RestApiPath.cpp
  Core/RestApi/RestApiOutput.cpp
  Core/RestApi/RestApi.cpp
  Core/MultiThreading/BagOfRunnablesBySteps.cpp
  Core/MultiThreading/Mutex.cpp
  Core/MultiThreading/ReaderWriterLock.cpp
  Core/MultiThreading/Semaphore.cpp
  Core/MultiThreading/SharedMessageQueue.cpp
  Core/Images/Font.cpp
  Core/Images/FontRegistry.cpp
  Core/Images/ImageAccessor.cpp
  Core/Images/ImageBuffer.cpp
  Core/Images/ImageProcessing.cpp
  Core/Images/JpegErrorManager.cpp
  Core/Images/JpegReader.cpp
  Core/Images/JpegWriter.cpp
  Core/Images/PngReader.cpp
  Core/Images/PngWriter.cpp
  Core/SQLite/Connection.cpp
  Core/SQLite/FunctionContext.cpp
  Core/SQLite/Statement.cpp
  Core/SQLite/StatementId.cpp
  Core/SQLite/StatementReference.cpp
  Core/SQLite/Transaction.cpp
  Core/Toolbox.cpp
  Core/Uuid.cpp
  Core/Lua/LuaContext.cpp
  Core/Lua/LuaFunctionCall.cpp
  )


set(ORTHANC_SERVER_SOURCES
  OrthancServer/DicomProtocol/DicomFindAnswers.cpp
  OrthancServer/DicomProtocol/DicomServer.cpp
  OrthancServer/DicomProtocol/DicomUserConnection.cpp
  OrthancServer/DicomProtocol/RemoteModalityParameters.cpp
  OrthancServer/DicomProtocol/ReusableDicomUserConnection.cpp
  OrthancServer/DicomModification.cpp
  OrthancServer/FromDcmtkBridge.cpp
  OrthancServer/ParsedDicomFile.cpp
  OrthancServer/DicomDirWriter.cpp
  OrthancServer/Internals/CommandDispatcher.cpp
  OrthancServer/Internals/FindScp.cpp
  OrthancServer/Internals/MoveScp.cpp
  OrthancServer/Internals/StoreScp.cpp
  OrthancServer/Internals/DicomImageDecoder.cpp
  OrthancServer/OrthancInitialization.cpp
  OrthancServer/OrthancPeerParameters.cpp
  OrthancServer/OrthancRestApi/OrthancRestAnonymizeModify.cpp
  OrthancServer/OrthancRestApi/OrthancRestApi.cpp
  OrthancServer/OrthancRestApi/OrthancRestArchive.cpp
  OrthancServer/OrthancRestApi/OrthancRestChanges.cpp
  OrthancServer/OrthancRestApi/OrthancRestModalities.cpp
  OrthancServer/OrthancRestApi/OrthancRestResources.cpp
  OrthancServer/OrthancRestApi/OrthancRestSystem.cpp
  OrthancServer/ServerIndex.cpp
  OrthancServer/ToDcmtkBridge.cpp
  OrthancServer/DatabaseWrapper.cpp
  OrthancServer/ServerContext.cpp
  OrthancServer/ServerEnumerations.cpp
  OrthancServer/ServerToolbox.cpp
  OrthancServer/OrthancFindRequestHandler.cpp
  OrthancServer/OrthancMoveRequestHandler.cpp
  OrthancServer/ExportedResource.cpp
  OrthancServer/ResourceFinder.cpp
  OrthancServer/DicomFindQuery.cpp
  OrthancServer/QueryRetrieveHandler.cpp
  OrthancServer/LuaScripting.cpp
  OrthancServer/OrthancHttpHandler.cpp

  # From "lua-scripting" branch
  OrthancServer/DicomInstanceToStore.cpp
  OrthancServer/Scheduler/DeleteInstanceCommand.cpp
  OrthancServer/Scheduler/ModifyInstanceCommand.cpp
  OrthancServer/Scheduler/ServerCommandInstance.cpp
  OrthancServer/Scheduler/ServerJob.cpp
  OrthancServer/Scheduler/ServerScheduler.cpp
  OrthancServer/Scheduler/StorePeerCommand.cpp
  OrthancServer/Scheduler/StoreScuCommand.cpp
  OrthancServer/Scheduler/CallSystemCommand.cpp
  )


set(ORTHANC_UNIT_TESTS_SOURCES
  UnitTestsSources/DicomMapTests.cpp
  UnitTestsSources/FileStorageTests.cpp
  UnitTestsSources/FromDcmtkTests.cpp
  UnitTestsSources/MemoryCacheTests.cpp
  UnitTestsSources/ImageTests.cpp
  UnitTestsSources/RestApiTests.cpp
  UnitTestsSources/SQLiteTests.cpp
  UnitTestsSources/SQLiteChromiumTests.cpp
  UnitTestsSources/ServerIndexTests.cpp
  UnitTestsSources/VersionsTests.cpp
  UnitTestsSources/ZipTests.cpp
  UnitTestsSources/LuaTests.cpp
  UnitTestsSources/MultiThreadingTests.cpp
  UnitTestsSources/UnitTestsMain.cpp
  UnitTestsSources/ImageProcessingTests.cpp
  UnitTestsSources/JpegLosslessTests.cpp
  UnitTestsSources/StreamTests.cpp
  )


if (ENABLE_PLUGINS)
  list(APPEND ORTHANC_SERVER_SOURCES
    Plugins/Engine/OrthancPluginDatabase.cpp
    Plugins/Engine/OrthancPlugins.cpp
    Plugins/Engine/PluginsManager.cpp
    Plugins/Engine/SharedLibrary.cpp
    )

  list(APPEND ORTHANC_UNIT_TESTS_SOURCES
    UnitTestsSources/PluginsTests.cpp
    )
endif()


set(ORTHANC_EMBEDDED_FILES
  PREPARE_DATABASE            ${CMAKE_CURRENT_SOURCE_DIR}/OrthancServer/PrepareDatabase.sql
  UPGRADE_DATABASE_3_TO_4     ${CMAKE_CURRENT_SOURCE_DIR}/OrthancServer/Upgrade3To4.sql
  UPGRADE_DATABASE_4_TO_5     ${CMAKE_CURRENT_SOURCE_DIR}/OrthancServer/Upgrade4To5.sql
  CONFIGURATION_SAMPLE        ${CMAKE_CURRENT_SOURCE_DIR}/Resources/Configuration.json
  DICOM_CONFORMANCE_STATEMENT ${CMAKE_CURRENT_SOURCE_DIR}/Resources/DicomConformanceStatement.txt
  LUA_TOOLBOX                 ${CMAKE_CURRENT_SOURCE_DIR}/Resources/Toolbox.lua
  FONT_UBUNTU_MONO_BOLD_16    ${CMAKE_CURRENT_SOURCE_DIR}/Resources/Fonts/UbuntuMonoBold-16.json
  )



#####################################################################
## Inclusion of third-party dependencies
#####################################################################

if (ENABLE_GOOGLE_LOG)
  include(${CMAKE_SOURCE_DIR}/Resources/CMake/GoogleLogConfiguration.cmake)
endif()

include(${CMAKE_SOURCE_DIR}/Resources/CMake/JsonCppConfiguration.cmake)
include(${CMAKE_SOURCE_DIR}/Resources/CMake/LibCurlConfiguration.cmake)
include(${CMAKE_SOURCE_DIR}/Resources/CMake/LibPngConfiguration.cmake)
include(${CMAKE_SOURCE_DIR}/Resources/CMake/LibJpegConfiguration.cmake)
include(${CMAKE_SOURCE_DIR}/Resources/CMake/LuaConfiguration.cmake)
include(${CMAKE_SOURCE_DIR}/Resources/CMake/MongooseConfiguration.cmake)
include(${CMAKE_SOURCE_DIR}/Resources/CMake/PugixmlConfiguration.cmake)
include(${CMAKE_SOURCE_DIR}/Resources/CMake/SQLiteConfiguration.cmake)
include(${CMAKE_SOURCE_DIR}/Resources/CMake/ZlibConfiguration.cmake)

# These are the two most heavyweight dependencies. We put them as the
# last includes to quickly spot problems when configuring static
# builds.
include(${CMAKE_SOURCE_DIR}/Resources/CMake/BoostConfiguration.cmake)
include(${CMAKE_SOURCE_DIR}/Resources/CMake/DcmtkConfiguration.cmake)


if (ENABLE_SSL)
  add_definitions(-DORTHANC_SSL_ENABLED=1)
  include(${CMAKE_SOURCE_DIR}/Resources/CMake/OpenSslConfiguration.cmake)
else()
  add_definitions(-DORTHANC_SSL_ENABLED=0)
endif()


if (ENABLE_JPEG)
  add_definitions(-DORTHANC_JPEG_ENABLED=1)
else()
  add_definitions(-DORTHANC_JPEG_ENABLED=0)
endif()


if (ENABLE_JPEG_LOSSLESS)
  add_definitions(-DORTHANC_JPEG_LOSSLESS_ENABLED=1)
else()
  add_definitions(-DORTHANC_JPEG_LOSSLESS_ENABLED=0)
endif()


if (ENABLE_PLUGINS)
  add_definitions(-DORTHANC_PLUGINS_ENABLED=1)
else()
  add_definitions(-DORTHANC_PLUGINS_ENABLED=0)
endif()



#####################################################################
## Autogeneration of files
#####################################################################

if (STANDALONE_BUILD)
  # We embed all the resources in the binaries for standalone builds

=== Plugins/Samples/GdcmDecoding/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)

project(GdcmDecoding)

SET(ALLOW_DOWNLOADS OFF CACHE BOOL "Allow CMake to download packages")
SET(USE_SYSTEM_BOOST ON CACHE BOOL "Use the system version of Boost")
SET(USE_SYSTEM_GOOGLE_LOG ON CACHE BOOL "Use the system version of Google Log")

set(ORTHANC_ROOT ${CMAKE_SOURCE_DIR}/../../..)
set(SAMPLES_ROOT ${CMAKE_SOURCE_DIR}/..)

include(CheckIncludeFiles)
include(CheckIncludeFileCXX)
include(${CMAKE_SOURCE_DIR}/../Common/OrthancPlugins.cmake)
include(${ORTHANC_ROOT}/Resources/CMake/DownloadPackage.cmake)
include(${ORTHANC_ROOT}/Resources/CMake/BoostConfiguration.cmake)
include(${ORTHANC_ROOT}/Resources/CMake/GoogleLogConfiguration.cmake)
include(${ORTHANC_ROOT}/Resources/CMake/JsonCppConfiguration.cmake)

find_package(GDCM REQUIRED)
if (GDCM_FOUND)
  include(${GDCM_USE_FILE})
  set(GDCM_LIBRARIES gdcmCommon gdcmMSFF)
else(GDCM_FOUND)
  message(FATAL_ERROR "Cannot find GDCM, did you set GDCM_DIR?")
endif(GDCM_FOUND)

add_library(GdcmDecoding SHARED
  Plugin.cpp
  OrthancContext.cpp

  # Sources from Orthanc
  ${GOOGLE_LOG_SOURCES}
  ${ORTHANC_ROOT}/Core/ChunkedBuffer.cpp
  ${ORTHANC_ROOT}/Core/Enumerations.cpp
  ${ORTHANC_ROOT}/Core/ImageFormats/ImageAccessor.cpp
  ${ORTHANC_ROOT}/Core/ImageFormats/ImageBuffer.cpp
  ${ORTHANC_ROOT}/Core/ImageFormats/ImageProcessing.cpp
  ${ORTHANC_ROOT}/Core/OrthancException.cpp
  ${ORTHANC_ROOT}/Core/Toolbox.cpp
  ${ORTHANC_ROOT}/Resources/ThirdParty/base64/base64.cpp
  ${ORTHANC_ROOT}/Resources/ThirdParty/md5/md5.c
  ${JSONCPP_SOURCES}
  ${THIRD_PARTY_SOURCES}
  )

target_link_libraries(GdcmDecoding ${GDCM_LIBRARIES})

=== Plugins/Samples/ServeFolders/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)

project(ServeFolders)

SET(SERVE_FOLDERS_VERSION "0.0" CACHE STRING "Version of the plugin")
SET(STATIC_BUILD OFF CACHE BOOL "Static build of the third-party libraries (necessary for Windows)")
SET(ALLOW_DOWNLOADS OFF CACHE BOOL "Allow CMake to download packages")
SET(USE_SYSTEM_JSONCPP ON CACHE BOOL "Use the system version of JsonCpp")

set(ORTHANC_ROOT ${CMAKE_SOURCE_DIR}/../../../)
set(SAMPLES_ROOT ${CMAKE_SOURCE_DIR}/..)

include(CheckIncludeFiles)
include(CheckIncludeFileCXX)
include(${CMAKE_SOURCE_DIR}/../Common/OrthancPlugins.cmake)
include(${ORTHANC_ROOT}/Resources/CMake/DownloadPackage.cmake)
include(${ORTHANC_ROOT}/Resources/CMake/JsonCppConfiguration.cmake)

add_library(ServeFolders SHARED 
  Plugin.cpp
  ${JSONCPP_SOURCES}
  )


message("Setting the version of the plugin to ${SERVE_FOLDERS_VERSION}")
add_definitions(-DSERVE_FOLDERS_VERSION="${SERVE_FOLDERS_VERSION}")

set_target_properties(ServeFolders PROPERTIES 
  VERSION ${SERVE_FOLDERS_VERSION} 
  SOVERSION ${SERVE_FOLDERS_VERSION})

install(
  TARGETS ServeFolders
  RUNTIME DESTINATION lib    # Destination for Windows
  LIBRARY DESTINATION share/orthanc/plugins    # Destination for Linux
  )

=== Plugins/Samples/WebSkeleton/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)

project(WebSkeleton)

SET(STANDALONE_BUILD ON CACHE BOOL "Standalone build (all the resources are embedded, necessary for releases)")
SET(RESOURCES_ROOT ${CMAKE_SOURCE_DIR}/StaticResources)

include(Framework/Framework.cmake)

set(SAMPLES_ROOT ${CMAKE_SOURCE_DIR}/..)
include(${SAMPLES_ROOT}/Common/OrthancPlugins.cmake)

add_library(WebSkeleton SHARED 
  ${AUTOGENERATED_SOURCES}
  )

=== debian/changelog ===
orthanc (0.9.4+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Force jQuery version to 1.7.2, as in upstream. Closes: #798514

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Thu, 17 Sep 2015 09:11:38 +0200

orthanc (0.9.3+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Updated URL to the code repository
  * Removal dependency over google-glog

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Fri, 07 Aug 2015 19:34:30 +0200

orthanc (0.9.1+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Thu, 02 Jul 2015 17:06:06 +0200

orthanc (0.9.0+dfsg-2) unstable; urgency=medium

  * Fix upgrade from testing of orthanc-dev. Closes: #790514
  * Fix upgrade from testing of orthanc-doc. Closes: #790517

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Wed, 01 Jul 2015 09:07:19 +0200

orthanc (0.9.0+dfsg-1) unstable; urgency=medium

  * New upstream version. Closes: #788920
  * Fix debian/copyright
  * Add the ServeFolders plugin
  * Removal of the liborthancclient* packages
  * Improvements to the documentation

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Wed, 03 Jun 2015 14:47:20 +0200

orthanc (0.8.6+dfsg-2) experimental; urgency=medium

  * New packages: orthanc-dev and orthanc-doc
  * Refactoring for the orthanc-postgresql package

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Tue, 03 Mar 2015 11:11:05 +0100

orthanc (0.8.6+dfsg-1) experimental; urgency=medium

  * New upstream version

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Thu, 12 Feb 2015 17:13:53 +0100

orthanc (0.8.5+dfsg-1) experimental; urgency=medium

  [ Sebastien Jodogne ]
  * New upstream version

  [ Andreas Tille ]
  * d/watch: repacksuffix=+dfsg

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Tue, 04 Nov 2014 16:47:54 +0100

orthanc (0.8.4+dfsg-2) unstable; urgency=medium

  [ Sebastien Jodogne ]
  * Fix crash if bad credentials in HTTP requests

  [ Gianfranco Costamagna ]
  * Fix base64 copyright, seems more zlib than BSD
    Closes: #767062

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Tue, 28 Oct 2014 09:36:34 +0100

=== debian/control ===
Source: orthanc
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Sebastien Jodogne <s.jodogne@gmail.com>,
           Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Standards-Version: 3.9.6
Homepage: http://www.orthanc-server.com/
Build-Depends: cmake (>= 2.8),
               debhelper (>= 9),
               doxygen,
               initscripts (>= 2.88dsf-13.3),
               libboost-all-dev,
               libcharls-dev,
               libcurl4-openssl-dev | libcurl4-dev,
               libdcmtk2-dev,
               libgtest-dev (>= 1.6.0),
               libjpeg-dev,
               libjs-jquery (>= 1.7.2),
               libjsoncpp-dev,
               liblua5.1-0-dev (>= 5.1.0),
               libpng-dev,
               libpugixml-dev,
               libsqlite3-dev,
               libssl-dev,
               libwrap0-dev,
               unzip,
               uuid-dev,
               zlib1g-dev,
               yui-compressor
Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/orthanc/trunk/
Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/orthanc/trunk/

Package: orthanc
Architecture: any
Depends: adduser, dcmtk, ${misc:Depends}, ${shlibs:Depends}
Description: Lightweight, RESTful DICOM server for medical imaging
 Orthanc aims at providing a simple, yet powerful DICOM server for
 medical imaging. Orthanc can turn any computer running Windows or
 Linux into a Vendor Neutral Archive (in other words, a mini-PACS
 system). Its architecture is lightweight, meaning that no complex
 database administration is required, nor the installation of
 third-party dependencies.
 .
 What makes Orthanc unique is the fact that it provides a RESTful
 API. Thanks to this major feature, it is possible to drive Orthanc
 from any computer language. The DICOM tags of the stored medical
 images can be downloaded in the JSON file format. Furthermore,
 standard PNG images can be generated on-the-fly from the DICOM
 instances by Orthanc.
 .
 Orthanc lets its users focus on the content of the DICOM files,
 hiding the complexity of the DICOM format and of the DICOM protocol.

Package: orthanc-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, libjs-jquery
Replaces: liborthancclient-doc (<< 0.8.6)
Breaks: liborthancclient-doc (<< 0.8.6)
Description: Documentation of Orthanc
 Orthanc aims at providing a simple, yet powerful DICOM server for
 medical imaging. Orthanc can turn any computer running Windows or
 Linux into a Vendor Neutral Archive (in other words, a mini-PACS
 system). Its architecture is lightweight, meaning that no complex
 database administration is required, nor the installation of
 third-party dependencies.
 .
 This package includes the documentation and the sample codes
 available for Orthanc. It also includes the documentation
 to develop C/C++ plugins for Orthanc.

Package: orthanc-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends}
Replaces: liborthancclient-dev (<< 0.8.6)
Breaks: liborthancclient-dev (<< 0.8.6)
Description: Orthanc development files
 Orthanc aims at providing a simple, yet powerful DICOM server for
 medical imaging. Orthanc can turn any computer running Windows or
 Linux into a Vendor Neutral Archive (in other words, a mini-PACS
 system). Its architecture is lightweight, meaning that no complex
 database administration is required, nor the installation of
 third-party dependencies.
 .
 This package includes the header files to develop C/C++ plugins
 for Orthanc.

=== debian/rules ===
#!/usr/bin/make -f

export DESTDIR := $(CURDIR)/debian/tmp
export DOC_DIR := $(DESTDIR)/usr/share/doc/orthanc
export PLUGINS_DIR := $(DESTDIR)/usr/share/orthanc/plugins

export DEBIAN_VERSION := $(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p')
export UPSTREAM_VERSION := $(shell echo "$(DEBIAN_VERSION)" | cut -d '+' -f 1)


%:
	dh $@ --parallel --builddirectory=Build


# Remarks about the flags to CMake below:
# -DCMAKE_BUILD_TYPE="" => The build type must be left empty, see #711515

CMAKE_EXTRA_FLAGS += \
	-DCMAKE_SKIP_RPATH:BOOL=ON \
	-DSTATIC_BUILD:BOOL=OFF \
	-DSTANDALONE_BUILD:BOOL=ON \
	-DUSE_SYSTEM_MONGOOSE:BOOL=OFF \
	-DUSE_GTEST_DEBIAN_SOURCE_PACKAGE:BOOL=ON \
	-DDCMTK_DICTIONARY_DIR:PATH=/usr/share/libdcmtk2 \
	-DDCMTK_LIBRARIES:STRING=dcmjpls \
	-DUNIT_TESTS_WITH_HTTP_CONNEXIONS:BOOL=OFF \
	-DCMAKE_BUILD_TYPE=""

override_dh_auto_configure:
        # Put 3rd party packages where the cmake build system expects them
	mkdir -p ThirdPartyDownloads
	( cd ThirdPartyDownloads; cp ../debian/ThirdPartyDownloads/* . )

        # Place back minified JavaScript libraries that were stripped from upstream
	yui-compressor debian/JS/jquery-1.7.2.js \
	    > OrthancExplorer/libs/jquery.min.js
	yui-compressor debian/JS/jquery.mobile-1.1.0/jquery.mobile-1.1.0.js \
	    > OrthancExplorer/libs/jquery.mobile.min.js
	yui-compressor debian/JS/jquery.mobile-1.1.0/jquery.mobile-1.1.0.css \
	    > OrthancExplorer/libs/jquery.mobile.min.css
	cat debian/JS/DateJs/src/globalization/en-US.js \
	    debian/JS/DateJs/src/core-debug.js \
	    debian/JS/DateJs/src/sugarpak-debug.js \
	    debian/JS/DateJs/src/parser-debug.js \
	    | yui-compressor --type js \
	    > OrthancExplorer/libs/date.js
	cp debian/JS/jquery.mobile-1.1.0/images/* OrthancExplorer/libs/images

        # Launch the original Orthanc CMake script
	dh_auto_configure -- $(CMAKE_EXTRA_FLAGS)

override_dh_auto_build:
	dh_auto_build

        # Fix the lintian warning: "orthanc-doc: embedded-javascript-library
        # usr/share/doc/orthanc/OrthancPlugin/jquery.js please use libjs-jquery"
	rm Build/OrthancPluginDocumentation/doc/jquery.js
	ln -s /usr/share/javascript/jquery/jquery.min.js Build/OrthancPluginDocumentation/doc/jquery.js

override_dh_auto_test:
	( cd Build; ./UnitTests )

override_dh_clean:
	rm -rf ThirdPartyDownloads
	dh_clean

override_dh_auto_install:
        # Move the index of the "orthanc-doc" package from Debian
	mkdir -p $(DOC_DIR)
	cp debian/docs/index.html $(DOC_DIR)

        # Populate the content of the "orthanc-doc" package
	cp -r Resources/Samples $(DOC_DIR)/Samples
	cp -r Plugins/Samples $(DOC_DIR)/OrthancPluginSamples

	dh_auto_install

        # Move the Orthanc binaries to "/usr/sbin"
	dh_install Build/Orthanc usr/sbin

        # Move the "ServeFolder" plugin at the proper place for shared libraries
	dh_install usr/share/orthanc/plugins/libServeFolders.so.$(UPSTREAM_VERSION) usr/lib/orthanc

override_dh_link:
        # Create a link to the shared library of the plugin
	dh_link usr/lib/orthanc/libServeFolders.so.$(UPSTREAM_VERSION) \
	        usr/share/orthanc/plugins/libServeFolders.so

override_dh_installchangelogs:
	dh_installchangelogs -k NEWS

override_dh_compress:
        # Do not compress the samples
	dh_compress -XOrthancPluginSamples -XSamples

get-orig-source:
	uscan --verbose --force-download --repack --compression xz

## orthanc 1.0.0%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                libboost-all-dev,
                libcharls-dev,
                libcurl4-openssl-dev | libcurl4-dev,
-               libdcmtk2-dev,
+               libdcmtk-dev,
                libgtest-dev (>= 1.6.0),
                libjpeg-dev,
                libjs-jquery (>= 1.7.2),
@@ -28,8 +28,8 @@
                uuid-dev,
                zlib1g-dev,
                yui-compressor
-Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/orthanc/trunk/
-Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/orthanc/trunk/
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/orthanc.git
+Vcs-Git: git://anonscm.debian.org/debian-med/orthanc.git
 
 Package: orthanc
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -21,9 +21,9 @@
 	-DSTANDALONE_BUILD:BOOL=ON \
 	-DUSE_SYSTEM_MONGOOSE:BOOL=OFF \
 	-DUSE_GTEST_DEBIAN_SOURCE_PACKAGE:BOOL=ON \
-	-DDCMTK_DICTIONARY_DIR:PATH=/usr/share/libdcmtk2 \
 	-DDCMTK_LIBRARIES:STRING=dcmjpls \
 	-DUNIT_TESTS_WITH_HTTP_CONNEXIONS:BOOL=OFF \
+	-DDCMTK_DICTIONARY_DIR:PATH=/usr/share/libdcmtk5 \
 	-DCMAKE_BUILD_TYPE=""
 
 override_dh_auto_configure:
@@ -78,13 +78,16 @@
         # Move the Orthanc binaries to "/usr/sbin"
 	dh_install Build/Orthanc usr/sbin
 
-        # Move the "ServeFolder" plugin at the proper place for shared libraries
+        # Move the basic plugins at the proper places for shared libraries
 	dh_install usr/share/orthanc/plugins/libServeFolders.so.$(UPSTREAM_VERSION) usr/lib/orthanc
+	dh_install usr/share/orthanc/plugins/libModalityWorklists.so.$(UPSTREAM_VERSION) usr/lib/orthanc
 
 override_dh_link:
-        # Create a link to the shared library of the plugin
+        # Create a link to the shared library of the plugins
 	dh_link usr/lib/orthanc/libServeFolders.so.$(UPSTREAM_VERSION) \
 	        usr/share/orthanc/plugins/libServeFolders.so
+	dh_link usr/lib/orthanc/libModalityWorklists.so.$(UPSTREAM_VERSION) \
+	        usr/share/orthanc/plugins/libModalityWorklists.so
 
 override_dh_installchangelogs:
 	dh_installchangelogs -k NEWS

## orthanc 1.0.0+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,15 +3,16 @@
 project(Orthanc)
 
 # Version of the build, should always be "mainline" except in release branches
-set(ORTHANC_VERSION "0.9.4")
+set(ORTHANC_VERSION "1.0.0")
 
 # Version of the database schema. History:
 #   * Orthanc 0.1.0 -> Orthanc 0.3.0 = no versioning
 #   * Orthanc 0.3.1                  = version 2
 #   * Orthanc 0.4.0 -> Orthanc 0.7.2 = version 3
 #   * Orthanc 0.7.3 -> Orthanc 0.8.4 = version 4
-#   * Orthanc 0.8.5 -> mainline      = version 5
-set(ORTHANC_DATABASE_VERSION 5)
+#   * Orthanc 0.8.5 -> Orthanc 0.9.4 = version 5
+#   * Orthanc 0.9.5 -> mainline      = version 6
+set(ORTHANC_DATABASE_VERSION 6)
 
 
 #####################################################################
@@ -30,6 +31,7 @@
 SET(ENABLE_JPEG_LOSSLESS ON CACHE BOOL "Enable JPEG-LS (Lossless) decompression")
 SET(ENABLE_PLUGINS ON CACHE BOOL "Enable plugins")
 SET(BUILD_SERVE_FOLDERS ON CACHE BOOL "Build the ServeFolders plugin")
+SET(BUILD_MODALITY_WORKLISTS ON CACHE BOOL "Build the sample plugin to serve modality worklists")
 
 # Advanced parameters to fine-tune linking against system libraries
 SET(USE_SYSTEM_JSONCPP ON CACHE BOOL "Use the system version of JsonCpp")
@@ -95,6 +97,7 @@
   Core/DicomFormat/DicomImageInformation.cpp
   Core/DicomFormat/DicomIntegerPixelAccessor.cpp
   Core/DicomFormat/DicomInstanceHasher.cpp
+  Core/DicomFormat/DicomValue.cpp
   Core/Enumerations.cpp
   Core/FileStorage/FilesystemStorage.cpp
   Core/FileStorage/StorageAccessor.cpp
@@ -108,6 +111,7 @@
   Core/HttpServer/MongooseServer.cpp
   Core/HttpServer/HttpFileSender.cpp
   Core/HttpServer/FilesystemHttpSender.cpp
+  Core/HttpServer/HttpContentNegociation.cpp
   Core/HttpServer/HttpStreamTranscoder.cpp
   Core/Logging.cpp
   Core/RestApi/RestApiCall.cpp
@@ -116,9 +120,9 @@
   Core/RestApi/RestApiPath.cpp
   Core/RestApi/RestApiOutput.cpp
   Core/RestApi/RestApi.cpp
-  Core/MultiThreading/BagOfRunnablesBySteps.cpp
   Core/MultiThreading/Mutex.cpp
   Core/MultiThreading/ReaderWriterLock.cpp
+  Core/MultiThreading/RunnableWorkersPool.cpp
   Core/MultiThreading/Semaphore.cpp
   Core/MultiThreading/SharedMessageQueue.cpp
   Core/Images/Font.cpp
@@ -145,21 +149,27 @@
 
 
 set(ORTHANC_SERVER_SOURCES
+  OrthancServer/DatabaseWrapper.cpp
+  OrthancServer/DatabaseWrapperBase.cpp
+  OrthancServer/DicomDirWriter.cpp
+  OrthancServer/DicomModification.cpp
   OrthancServer/DicomProtocol/DicomFindAnswers.cpp
   OrthancServer/DicomProtocol/DicomServer.cpp
   OrthancServer/DicomProtocol/DicomUserConnection.cpp
   OrthancServer/DicomProtocol/RemoteModalityParameters.cpp
   OrthancServer/DicomProtocol/ReusableDicomUserConnection.cpp
-  OrthancServer/DicomModification.cpp
+  OrthancServer/ExportedResource.cpp
   OrthancServer/FromDcmtkBridge.cpp
-  OrthancServer/ParsedDicomFile.cpp
-  OrthancServer/DicomDirWriter.cpp
   OrthancServer/Internals/CommandDispatcher.cpp
+  OrthancServer/Internals/DicomImageDecoder.cpp
   OrthancServer/Internals/FindScp.cpp
   OrthancServer/Internals/MoveScp.cpp
   OrthancServer/Internals/StoreScp.cpp
-  OrthancServer/Internals/DicomImageDecoder.cpp
+  OrthancServer/LuaScripting.cpp
+  OrthancServer/OrthancFindRequestHandler.cpp
+  OrthancServer/OrthancHttpHandler.cpp
   OrthancServer/OrthancInitialization.cpp
+  OrthancServer/OrthancMoveRequestHandler.cpp
   OrthancServer/OrthancPeerParameters.cpp
   OrthancServer/OrthancRestApi/OrthancRestAnonymizeModify.cpp
   OrthancServer/OrthancRestApi/OrthancRestApi.cpp
@@ -168,20 +178,23 @@
   OrthancServer/OrthancRestApi/OrthancRestModalities.cpp
   OrthancServer/OrthancRestApi/OrthancRestResources.cpp
   OrthancServer/OrthancRestApi/OrthancRestSystem.cpp
-  OrthancServer/ServerIndex.cpp
-  OrthancServer/ToDcmtkBridge.cpp
-  OrthancServer/DatabaseWrapper.cpp
+  OrthancServer/ParsedDicomFile.cpp
+  OrthancServer/QueryRetrieveHandler.cpp
+  OrthancServer/Search/HierarchicalMatcher.cpp
+  OrthancServer/Search/IFindConstraint.cpp
+  OrthancServer/Search/LookupIdentifierQuery.cpp
+  OrthancServer/Search/LookupResource.cpp
+  OrthancServer/Search/SetOfResources.cpp
+  OrthancServer/Search/ListConstraint.cpp
+  OrthancServer/Search/RangeConstraint.cpp
+  OrthancServer/Search/ValueConstraint.cpp
+  OrthancServer/Search/WildcardConstraint.cpp
   OrthancServer/ServerContext.cpp
   OrthancServer/ServerEnumerations.cpp
+  OrthancServer/ServerIndex.cpp
   OrthancServer/ServerToolbox.cpp
-  OrthancServer/OrthancFindRequestHandler.cpp
-  OrthancServer/OrthancMoveRequestHandler.cpp
-  OrthancServer/ExportedResource.cpp
-  OrthancServer/ResourceFinder.cpp
-  OrthancServer/DicomFindQuery.cpp
-  OrthancServer/QueryRetrieveHandler.cpp
-  OrthancServer/LuaScripting.cpp
-  OrthancServer/OrthancHttpHandler.cpp
+  OrthancServer/SliceOrdering.cpp
+  OrthancServer/ToDcmtkBridge.cpp
 
   # From "lua-scripting" branch
   OrthancServer/DicomInstanceToStore.cpp
@@ -221,6 +234,8 @@
   list(APPEND ORTHANC_SERVER_SOURCES
     Plugins/Engine/OrthancPluginDatabase.cpp
     Plugins/Engine/OrthancPlugins.cpp
+    Plugins/Engine/PluginsEnumerations.cpp
+    Plugins/Engine/PluginsErrorDictionary.cpp
     Plugins/Engine/PluginsManager.cpp
     Plugins/Engine/SharedLibrary.cpp
     )
@@ -272,35 +287,3 @@
   add_definitions(-DORTHANC_SSL_ENABLED=1)
   include(${CMAKE_SOURCE_DIR}/Resources/CMake/OpenSslConfiguration.cmake)
 else()
-  add_definitions(-DORTHANC_SSL_ENABLED=0)
-endif()
-
-
-if (ENABLE_JPEG)
-  add_definitions(-DORTHANC_JPEG_ENABLED=1)
-else()
-  add_definitions(-DORTHANC_JPEG_ENABLED=0)
-endif()
-
-
-if (ENABLE_JPEG_LOSSLESS)
-  add_definitions(-DORTHANC_JPEG_LOSSLESS_ENABLED=1)
-else()
-  add_definitions(-DORTHANC_JPEG_LOSSLESS_ENABLED=0)
-endif()
-
-
-if (ENABLE_PLUGINS)
-  add_definitions(-DORTHANC_PLUGINS_ENABLED=1)
-else()
-  add_definitions(-DORTHANC_PLUGINS_ENABLED=0)
-endif()
-
-
-
-#####################################################################
-## Autogeneration of files
-#####################################################################
-
-if (STANDALONE_BUILD)
-  # We embed all the resources in the binaries for standalone builds

=== Plugins/Samples/DatabasePlugin/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)

project(SampleDatabasePlugin)

# Parameters of the build
SET(SAMPLE_DATABASE_VERSION "0.0" CACHE STRING "Version of the plugin")
SET(STATIC_BUILD OFF CACHE BOOL "Static build of the third-party libraries (necessary for Windows)")
SET(ALLOW_DOWNLOADS OFF CACHE BOOL "Allow CMake to download packages")
SET(STANDALONE_BUILD ON)

# Advanced parameters to fine-tune linking against system libraries
SET(USE_SYSTEM_BOOST ON CACHE BOOL "Use the system version of Boost")
SET(USE_SYSTEM_JSONCPP ON CACHE BOOL "Use the system version of JsonCpp")
SET(USE_SYSTEM_SQLITE ON CACHE BOOL "Use the system version of SQLite")

set(SAMPLES_ROOT ${CMAKE_SOURCE_DIR}/..)
include(${SAMPLES_ROOT}/Common/OrthancPlugins.cmake)

include(${ORTHANC_ROOT}/Resources/CMake/BoostConfiguration.cmake)
include(${ORTHANC_ROOT}/Resources/CMake/JsonCppConfiguration.cmake)
include(${ORTHANC_ROOT}/Resources/CMake/SQLiteConfiguration.cmake)

EmbedResources(
  --system-exception  # Use "std::runtime_error" instead of "OrthancException" for embedded resources
  PREPARE_DATABASE  ${ORTHANC_ROOT}/OrthancServer/PrepareDatabase.sql
  )

message("Setting the version of the plugin to ${SAMPLE_DATABASE_VERSION}")

add_definitions(
  -DORTHANC_SQLITE_STANDALONE=1
  -DORTHANC_ENABLE_LOGGING=0
  -DORTHANC_ENABLE_BASE64=0
  -DORTHANC_ENABLE_MD5=0
  -DORTHANC_ENABLE_DCMTK=0
  -DORTHANC_PLUGINS_ENABLED=1
  -DSAMPLE_DATABASE_VERSION="${SAMPLE_DATABASE_VERSION}"
  )

add_library(SampleDatabase SHARED 
  ${BOOST_SOURCES}
  ${JSONCPP_SOURCES}
  ${SQLITE_SOURCES}
  ${AUTOGENERATED_SOURCES}

  ${ORTHANC_ROOT}/Core/DicomFormat/DicomArray.cpp
  ${ORTHANC_ROOT}/Core/DicomFormat/DicomMap.cpp
  ${ORTHANC_ROOT}/Core/DicomFormat/DicomTag.cpp
  ${ORTHANC_ROOT}/Core/DicomFormat/DicomValue.cpp
  ${ORTHANC_ROOT}/Core/Enumerations.cpp
  ${ORTHANC_ROOT}/Core/SQLite/Connection.cpp
  ${ORTHANC_ROOT}/Core/SQLite/FunctionContext.cpp
  ${ORTHANC_ROOT}/Core/SQLite/Statement.cpp
  ${ORTHANC_ROOT}/Core/SQLite/StatementId.cpp
  ${ORTHANC_ROOT}/Core/SQLite/StatementReference.cpp
  ${ORTHANC_ROOT}/Core/SQLite/Transaction.cpp
  ${ORTHANC_ROOT}/Core/Toolbox.cpp
  ${ORTHANC_ROOT}/OrthancServer/DatabaseWrapperBase.cpp
  ${ORTHANC_ROOT}/Plugins/Engine/PluginsEnumerations.cpp

  Database.cpp
  Plugin.cpp
  )

set_target_properties(SampleDatabase PROPERTIES 
  VERSION ${SAMPLE_DATABASE_VERSION} 
  SOVERSION ${SAMPLE_DATABASE_VERSION})

install(
  TARGETS SampleDatabase
  RUNTIME DESTINATION lib    # Destination for Windows
  LIBRARY DESTINATION share/orthanc/plugins    # Destination for Linux
  )

=== Plugins/Samples/ModalityWorklists/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)

project(ModalityWorklists)

SET(MODALITY_WORKLISTS_VERSION "0.0" CACHE STRING "Version of the plugin")
SET(STATIC_BUILD OFF CACHE BOOL "Static build of the third-party libraries (necessary for Windows)")
SET(ALLOW_DOWNLOADS OFF CACHE BOOL "Allow CMake to download packages")

SET(USE_SYSTEM_JSONCPP ON CACHE BOOL "Use the system version of JsonCpp")
SET(USE_SYSTEM_BOOST ON CACHE BOOL "Use the system version of boost")

set(SAMPLES_ROOT ${CMAKE_SOURCE_DIR}/..)
include(${SAMPLES_ROOT}/Common/OrthancPlugins.cmake)
include(${ORTHANC_ROOT}/Resources/CMake/JsonCppConfiguration.cmake)
include(${ORTHANC_ROOT}/Resources/CMake/BoostConfiguration.cmake)

add_library(ModalityWorklists SHARED 
  Plugin.cpp
  ${JSONCPP_SOURCES}
  ${BOOST_SOURCES}
  )

message("Setting the version of the plugin to ${MODALITY_WORKLISTS_VERSION}")
add_definitions(
  -DMODALITY_WORKLISTS_VERSION="${MODALITY_WORKLISTS_VERSION}"
  )

set_target_properties(ModalityWorklists PROPERTIES 
  VERSION ${MODALITY_WORKLISTS_VERSION} 
  SOVERSION ${MODALITY_WORKLISTS_VERSION})

install(
  TARGETS ModalityWorklists
  RUNTIME DESTINATION lib    # Destination for Windows
  LIBRARY DESTINATION share/orthanc/plugins    # Destination for Linux
  )

=== Plugins/Samples/ServeFolders/CMakeLists.txt ===
--- 
+++ 
@@ -5,22 +5,20 @@
 SET(SERVE_FOLDERS_VERSION "0.0" CACHE STRING "Version of the plugin")
 SET(STATIC_BUILD OFF CACHE BOOL "Static build of the third-party libraries (necessary for Windows)")
 SET(ALLOW_DOWNLOADS OFF CACHE BOOL "Allow CMake to download packages")
+
 SET(USE_SYSTEM_JSONCPP ON CACHE BOOL "Use the system version of JsonCpp")
+SET(USE_SYSTEM_BOOST ON CACHE BOOL "Use the system version of boost")
 
-set(ORTHANC_ROOT ${CMAKE_SOURCE_DIR}/../../../)
 set(SAMPLES_ROOT ${CMAKE_SOURCE_DIR}/..)
-
-include(CheckIncludeFiles)
-include(CheckIncludeFileCXX)
 include(${CMAKE_SOURCE_DIR}/../Common/OrthancPlugins.cmake)
-include(${ORTHANC_ROOT}/Resources/CMake/DownloadPackage.cmake)
 include(${ORTHANC_ROOT}/Resources/CMake/JsonCppConfiguration.cmake)
+include(${ORTHANC_ROOT}/Resources/CMake/BoostConfiguration.cmake)
 
 add_library(ServeFolders SHARED 
   Plugin.cpp
   ${JSONCPP_SOURCES}
+  ${BOOST_SOURCES}
   )
-
 
 message("Setting the version of the plugin to ${SERVE_FOLDERS_VERSION}")
 add_definitions(-DSERVE_FOLDERS_VERSION="${SERVE_FOLDERS_VERSION}")

=== Resources/Samples/Tools/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)

project(OrthancTools)

if (${CMAKE_SYSTEM_NAME} STREQUAL "Linux")
  # Linking with "pthread" is necessary, otherwise the software crashes
  # http://sourceware.org/bugzilla/show_bug.cgi?id=10652#c17
  link_libraries(pthread dl)
endif()

set(STATIC_BUILD ON)
set(ALLOW_DOWNLOADS ON)

set(ORTHANC_ROOT ${CMAKE_SOURCE_DIR}/../../..)

include(CheckIncludeFiles)
include(CheckIncludeFileCXX)
include(CheckLibraryExists)
include(${ORTHANC_ROOT}/Resources/CMake/Compiler.cmake)
include(${ORTHANC_ROOT}/Resources/CMake/DownloadPackage.cmake)
include(${ORTHANC_ROOT}/Resources/CMake/BoostConfiguration.cmake)
include(${ORTHANC_ROOT}/Resources/CMake/ZlibConfiguration.cmake)
include(${ORTHANC_ROOT}/Resources/CMake/GoogleLogConfiguration.cmake)

add_library(CommonLibraries
  ${BOOST_SOURCES}
  ${THIRD_PARTY_SOURCES}
  ${ORTHANC_ROOT}/Core/OrthancException.cpp
  ${ORTHANC_ROOT}/Core/Toolbox.cpp
  ${ORTHANC_ROOT}/Core/Uuid.cpp
  ${ORTHANC_ROOT}/Resources/ThirdParty/md5/md5.c
  ${ORTHANC_ROOT}/Resources/ThirdParty/base64/base64.cpp
  )

add_executable(RecoverCompressedFile
  RecoverCompressedFile.cpp
  ${ORTHANC_ROOT}/Core/Compression/BufferCompressor.cpp
  ${ORTHANC_ROOT}/Core/Compression/ZlibCompressor.cpp
  )

target_link_libraries(RecoverCompressedFile CommonLibraries GoogleLog)

=== debian/changelog ===
orthanc (1.0.0+dfsg-1build1) xenial; urgency=medium

  * No-change rebuild for the libjsoncpp transition.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Wed, 10 Feb 2016 11:01:04 +0100

orthanc (1.0.0+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Wed, 16 Dec 2015 13:24:18 +0100

orthanc (0.9.6+dfsg-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Moved packaging repository from SVN to Git

  [ Sebastien Jodogne ]
  * New upstream version

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Fri, 11 Dec 2015 08:57:02 +0100

orthanc (0.9.5+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Thu, 03 Dec 2015 10:38:27 +0100

orthanc (0.9.4+dfsg-2) unstable; urgency=medium

  * Build-depend on libdcmtk-dev instead of libdcmtk2-dev. Closes: #804571

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Tue, 10 Nov 2015 16:23:28 +0100

=== debian/watch ===
version=3
opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,downloadurlmangle=s/\/browse\.php\?path=//g" \
http://www.orthanc-server.com/browse.php?path=/orthanc downloads/get\.php\?path=/orthanc/Orthanc-(\d\S*)\.tar\.gz
